<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($control)){

  $o_DocenteBean = new DocenteBean();
  $o_DocenteBean->setDocenteId($DocenteId);
  $o_DocenteBean->setNombre($Nombre);
  $o_DocenteBean->setCodigoDocente($CodigoDocente);
  $o_DocenteBean->setTelefono(99898854);
  $o_DocenteBean->setTitulo($Titulo);
  $o_DocenteBean->setOtroGrado($OtroGrado);
  $o_DocenteBean->setMail($Mail);
  $o_DocenteBean->setUbigeoId("010203");
  $o_DocenteBean->setDireccion($Direccion);
  $o_DocenteBean->setCategoria(1);
  $o_DocenteBean->setEspecialidadId(1);
  $o_DocenteBean->setFechaModificacion(date("Y-m-d"));
  $o_DocenteBean->setUsuarioModificacion(myUser::getUser()->getUserId());
  
  $o_DocenteSystemClass = new DocenteSystemClass($o_DocenteBean);
  $bResult = $o_DocenteSystemClass->actualizarDocente();
  
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('doc/list')?>','block=001&update=1&cod=<?=$o_DocenteBean->getNombre()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('doc/add', "block=".$block."&error=1");
  }
  
}

//Grados
$o_DocenteSystemClass = new DocenteSystemClass(new GradoBean());
$a_Grado = $o_DocenteSystemClass->getGrado();
//Facultades
$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
$a_Facultad = $o_DocenteSystemClass->getFacultad();
//Tipo de Docentes
$o_DocenteSystemClass = new DocenteSystemClass(new TipoDocenteBean());
$a_TipoDocente = $o_DocenteSystemClass->getTipoDocente();

$o_DocenteSystemClass = new DocenteSystemClass(new EspecialidadBean());
$a_Especialiadad = $o_DocenteSystemClass->getEspecialidad();


//Seleccionar el docente 
$o_DocenteBean = new DocenteBean();
$o_DocenteBean->setDocenteId($id);
$o_class = new DocenteBL();
$o_ObjectBean = $o_class->busquedaDocente ($o_DocenteBean);

?>


<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Docente</li>
            <span class="subtitle">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Docente (Mostrar)</span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
      <table hspace="20px" class="marco" width="100%">
        <tr>
          <td valign="top">
          
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="50%" valign="top">
                <table width="100%" border="0" cellpadding="5" cellspacing="0">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend>Personales</legend>
    					 <table width="100%" border="0" cellspacing="0" cellpadding="0">
    					  <tr>
    						<td nowrap="nowrap" width="12%"><label class="label" for="txtCodigoDocente">Codigo : </label></td>
    						<td nowrap="nowrap" width="38%"><label class="label" for="txtCodigoDocenteD"><?=$o_ObjectBean->getCodigoDocente() ?></label></td>
    						 <td width="14%" nowrap="nowrap">&nbsp;</td>
                 <td width="86%" nowrap="nowrap">&nbsp;</td>
    					  </tr>
    					  <tr>
    					    <td nowrap="nowrap"><label class="label" for="txtNombre">Nombre  : </label></td>
    					    <td nowrap="nowrap"><label class="label" for="txtNombreD"><?=$o_ObjectBean->getNombre() ?></label></td>
    					    <td nowrap="nowrap" width="12%"><label class="label" for="txtTelefono">Tel&eacute;fono : </label></td>
    					    <td nowrap="nowrap" width="38%"><label class="label" for="txtTelefonoD"><?=$o_ObjectBean->getTelefono()?></label></td>
    					  </tr>
    					  <tr>
    					    <td nowrap="nowrap"><label class="label" for="txtRev">Departamento : </label></td>
    					    <td nowrap="nowrap"></td>
    					    <td nowrap="nowrap"><label class="label" for="txtMail">Email : </label></td>
    					    <td nowrap="nowrap"><label class="label" for="txtMailD"><?=$o_ObjectBean->getMail()?></label></td>
    					  </tr>
               </table>
    					</fieldset>				
    				</td>
            </tr>
    			  <tr>
  				  <td height="0"><fieldset>
  					<legend>Estudios</legend>
  					<table width="100%" border="0" cellspacing="0" cellpadding="0">
  					  <tr>
    						<td nowrap="nowrap" width="12%"><label class="label" for="txtTitulo">Titulo : </label></td>
    						<td nowrap="nowrap" width="38%"><label class="label" for="txtTituloD"><?=$o_ObjectBean->getTitulo()?></label></td>
    						<td nowrap="nowrap" width="12%"><label class="label" for="txtEspecialidadIdD">Grado : </label></td>
    						<td nowrap="nowrap"><label class="label" for="txtEspecialidadId"><?php 
    						        foreach ($a_Grado as $iKey => $o_GradoBean){ 
                     		 if($o_GradoBean->getGradoId() == $o_ObjectBean->getGradoId() ){
                      	 echo $o_GradoBean->getGradoDescripcion();
                     		 }
    						        }
                      ?></label>
                 </td>
  					  </tr>
				      <tr>
                  <td nowrap="nowrap"><label class="label" for="txtCategoriaD">Tipo  : </label></td>
    					    <td nowrap="nowrap"><label class="label" for="txtCategoriaD">
    					                 <?php 
    					                 foreach ($a_TipoDocente as $iKey => $o_TipoDocenteBean){
                     		         if($o_TipoDocenteBean->getTipodocenteId() == $o_ObjectBean->getTipodocenteId() ){ 
                      	          echo $o_TipoDocenteBean->getDescripciondocente();
    					                   }
                              }
                              ?> 
                   </label>
    					    </td>
                  <td nowrap="nowrap"><label class="label" for="OtroGradoD"><span class="label"  value="<?=$o_ObjectBean->getOtroGrado()?>">Otro Grado:</span></label></td>
                  <td nowrap="nowrap"><label class="label" for="txtOtroGradoD"><?=$o_ObjectBean->getOtroGrado()?></label></td>
			        </tr>
  					  <tr>
  					    <td nowrap="nowrap"><label class="label" for="txtFacultad">Facultad : </label></td>
  					    <td nowrap="nowrap"><label class="label" for="txtFacultadD"><?php 
  					       foreach ($a_Facultad as $iKey => $o_FacultadBean){
                    if($o_FacultadBean->getFacultadId() == $o_ObjectBean->getFacultadDoc()){
                      echo $o_FacultadBean->getDescripcion();
                    } 
  					       }?>
                </label></td>
  					    <td nowrap="nowrap"><label class="label" for="txtEspecialidadId">Especialidad : </label></td>
  					    <td nowrap="nowrap"><label class="label" for="txtEspecialidadIdD">
                    <?php foreach ($a_Especialiadad as $iKey => $o_EspecialidadBean){ 
                            if($o_EspecialidadBean->getEspecialidadId() == $o_ObjectBean->getEspecialidadId()){
                              echo $o_EspecialidadBean->getEspecialidadDescripcion();
                            }
                          }
                   ?></label>
                   </td>
  					  </tr>
  					 
  					  <tr>
  					    
  					    <td nowrap="nowrap"><label class="label" for="txtEspecialidad">Especialidad</label></td>
  					    <td nowrap="nowrap"><label class="label" for="txtEspecialidadIdD"><?=$o_ObjectBean->getEspecialidadField()?></label></td>
  					  </tr>
              		</table>
  					</fieldset>				</td>
                </tr>
              </table> 
            
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr><td><img src="/images/common/spacer.gif" width="10"></td></tr>
              <tr>
                <td align="center">
                  <input type="hidden" name="typeSubmit" id="typeSubmit">
                  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
                  <!--<input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">-->
                  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
                </td>
              </tr>
            </table>
            <tr><td><img src="/images/common/spacer.gif" width="10"></td></tr>
          </td>
        </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
  
</table>
